#include <iostream>
#include <sstream>

#include "NtKinect.h"

using namespace std;

void doJob() {
	NtKinect kinect;
	while (1) {
		kinect.setInfrared();
		cv::imshow("infrared", kinect.infraredImage);
		auto key = cv::waitKey(1);
		if (key == 'q') break;
	}
	cv::destroyAllWindows();
}

int main(int argc, char** argv) {
	try {
		doJob();
	}
	catch (exception &ex) {
		cout << ex.what() << endl;
		string s;
		cin >> s;
	}
	return 0;
}